Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592280 - [abrt] crash in epiphany-2.28.2-1.fc12: malloc_consolidate: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in epiphany-2.28.2-1.fc12: malloc_consolidate: Process /usr/bin/...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7ff2ec444b57f050db958151195...
: 592685 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 12:35 UTC by Bill Case
Modified: 2010-12-03 14:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:43:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-14 12:35 UTC, Bill Case
no flags Details

Description Bill Case 2010-05-14 12:35:00 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: epiphany http://www.octranspo1.com/routes/
component: epiphany
crash_function: malloc_consolidate
executable: /usr/bin/epiphany
global_uuid: 7ff2ec444b57f050db958151195ef4d2aa140ec4
kernel: 2.6.32.11-99.fc12.x86_64
package: epiphany-2.28.2-1.fc12
rating: 4
reason: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Just started Epiphay.  It opened on the designated site for a second then crashed
2.
3.

Comment 1 Bill Case 2010-05-14 12:35:02 UTC
Created attachment 414038 [details]
File: backtrace

Comment 2 Mike Fedyk 2010-05-14 23:17:59 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. reboot machine ("reboot" as root)
2. let update of 1:java-1.6.0-openjdk-plugin-1.6.0.0-38.b18.fc12.x86_64 complete
3. start epiphany
4. let choose "recover" session.
5. watch epiphany crash

Comment 3 Brian Witt 2010-05-15 20:12:32 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.open epiphany
2.go to website with an image
3.click on image file to view 


Comment
-----
this was a problem for a while, then it fixed itself, then it came back.  This machine should be running the latest patches, etc.

Comment 4 Andreas Tunek 2010-05-16 08:49:51 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Move window
2.
3.


Comment
-----
Moved window

Comment 5 Emmanuel Seyman 2010-05-18 13:26:13 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. start epiphany
2. type http://www.3com.com/ in the address bar
3. watch epiphany crash

Comment 6 Bill Case 2010-05-24 21:17:20 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.was in wikipedia, clicked link to a PDF file
2.
3.

Comment 7 Need Real Name 2010-05-24 22:39:59 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Browse Liferay-based web application (Liferay is JEE Portal software)
2. boom
3.

Comment 8 Karel Klíč 2010-05-25 08:25:25 UTC
*** Bug 592685 has been marked as a duplicate of this bug. ***

Comment 9 Andreas Tunek 2010-05-27 19:16:52 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Go to planet gnome
2.
3.


Comment
-----
Went to planet gnome

Comment 10 Andreas Tunek 2010-06-08 20:23:04 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.go to skill.se
2.
3.

Comment 11 Arnoud Hobbel 2010-06-18 08:57:06 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Start epiphany
2. Point to page (internal page to our network)
3. Crash, in what I think is the stage where a Java applet is loaded (page html is already displayed at
   that moment)

Comment 12 Jakub Hrozek 2010-06-29 08:45:39 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Connect to IBM Java remote management applet with epiphany
2. observe the crash
3.


Comment
-----
Launch IBM remote management tool

Comment 13 Rick Graham 2010-06-29 19:32:02 UTC
Package: epiphany-2.28.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. link to this page with epiphany: http://66.46.93.197/epiphany-crash/
2. that's it.
3. there is no three.

Comment
-----
The page shows three ways to embed an SVG image.  It's a test.  I suspect that epiphany doesn't like one of them, at all.

There is a referenced image in the SVG that isn't present on the server.  In fact it's a bad link anyway.  (xlink:href="file:///home/rick/ih.png")  That could have something to do with it.  See the very last element in the SVG source for the embedded SVG image.

Comment 14 Matthias Clasen 2010-07-07 10:51:01 UTC
Looks like a crash in the icetea java plugin

Comment 15 Bug Zapper 2010-11-03 14:54:18 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Rick Graham 2010-11-03 15:54:57 UTC
My test now passes (see comment 13) with the same version of Epiphany.

don't know what changed.  Note that this bug is a re-assignment of the one I posted.  don't remember what it was other than it caused epiphany to crash.

Comment 17 Bug Zapper 2010-12-03 14:43:05 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.